package rank_util

import "fmt"

// Model
// @description: 排行榜对象
type Model struct {
	// rank 排行
	rank int

	// key 唯一key
	key string

	// obj 携带的对象
	obj interface{}
}

// GetObj
// @description: 获取对象附加信息
// parameter:
//		@receiver m:
// return:
//		@interface{}:
func (m *Model) GetObj() interface{} {
	return m.obj
}

// GetRank
// @description: 获取对象排行
// parameter:
//		@receiver m:
// return:
//		@int:
func (m *Model) GetRank() int {
	return m.rank
}

// String
// @description: 字符串
// parameter:
//		@receiver m:
// return:
//		@string:
func (m *Model) String() string {
	return fmt.Sprintf("rank:%v, Key:%s, Obj:{%s}", m.rank, m.key, m.obj)
}
